Welcome!

1-abc.net File Renamer
Give your files the right names in batch mode!

Even if there is much more additional file information besides a file name that is saved with a file nowadays, file names are still the most important attribute for users when they search and hopefully find the data they are looking for.

Anyway, there are many file names that are determined automatically and most users never change it later. Pictures you made with your digital camera for example very often have file names like “IMG_1329” instead of “IMG_1329 - Christmas in New York with my wife” or media data like a video you download from the web is called “003245.mpg” instead of “Funny animal video 0005 created on 2007-11-08.mpg”. And if your MP3 stick is not able to sort files from their creation date but the file name you wish that you could just add the file date to the name without changing anything else.

The main reason why file names are not changed later very often is that it is very time consuming and boring if this concerns more than just 3 or 4 files. Finally, files are kept with such senseless names until the day where you do not find again what you are looking for.

1-abc.net File Renamer will let you see that such renaming tasks can be much easier or even fun. Just add as many files as you want to a file list, then change the file positions if required and define how file names should look like.

You can decide by your own if the new file names include today’s date and time, file creation date and time, numbers, the original file name, customized text or what ever you think. A preview feature allows you to see the final file names as they will be after renaming, and if you are satisfied with this, it’s just one click to change all these names automatically!

Feature Overview:

  • Very easy-to-use interface
  • Program can also read from and write to SD cards, USB sticks, external drives etc.
  • Add as many files and folders as you want to rename
  • Change the file order
  • Define how the new file names will look like concerning file date, numbers, customized text and so on
  • Decide by your own how date and time in file names should be formatted
  • Switch between different types of file dates (creation, last access, last changes)
  • Open and save renaming projects for later tasks with same options
  • Sort your file list before renaming after file date, file size, file name or file path
  • Backup unmodified files before renaming
  • Log all your renaming activity with the history file feature
  • Program can also be installed on USB sticks, floppy disks or nearly all other re-writable media
  • Very low system resources required

For Windows® XP / Vista / 7 / 8
Chief Developer & Documentation: Stefan Siegert
Copyright 2005-2014 1-abc.net


Before you start working with this program …

Windows Explorer itself does not offer such a comfortable file renaming feature as this program does. Maybe the developers once decided not to integrate it because of the possible damages users can cause on their systems without thinking what they do before. So please, before you start any file renamings, double-check if you really added the correct files to the list and if all options are configured to rename files correctly. And please do not use this program to rename any system files just for fun.

When you rename folders, please note that the program first copies the whole content to a new folder before it deletes the old one. This may take some time. If there should be any problems while doing this (for example when any sub folder was renamed manually while the program wanted to rename it) you will always find the old folders with their content in Windows Recycle Bin, so you will not lose any data.

The 1-abc.net team wishes you much fun with this product!


Using the Main Screen

To work with 1-abc.net File Renamer is very easy. Here you can see how the main screen looks:

Before you start any renaming work you have to add files or folders to the upper list control. These are the files and folders you want to to rename, they can be on your local hard drive as well as on complete drives, USB sticks, camera cards, network folders or floppy disks. Use the buttons 'Add File', 'Add Folder' or 'Remove Entries' to fill or empty your file list.

If you decide to enumerate your files and the order is not okay for you as it is, you can select one or more files in the file list and use the buttons 'Move up' or 'Move down' to change the file order.

The central part of the screen lets you configure the filenames itself. You can split a file name in eight different options. If you select nothing, this part is ignored. By default the program starts with 'Default file name' as the first part and nothing more which would be no change at all. Following renaming options are available from the dropdown boxes:
  • Default file name: The file name as it is unchanged.
  • Figures: Allows you to enumerate the files starting with '1'. If you prefer to start with '0' or any other number you can change this by clicking the menu entry 'Functions'-'Options'.
  • Figures, filled with 0's: Allows you to enumerate the files starting with '0'. If there are more than 10/100/1000 etc. files, the numbers are automatically written as '01'/'001'/'0001' and so on to allow a better sorting later. If you prefer to start with '1' you can change this by clicking the menu entry 'Functions'-'Options'.
  • File date: Adds the file creation date to the file name. If you prefer to format the date in a different way (like '08.11.2007' instead of '2007-11-08' you can change this by clicking the menu entry 'Functions'-'Options'. Here you can also select, if you want to use the date and time of last file access or the date and time of last file modification. Please note that this option does not work for folders, only for files.
  • File date and time: Adds the file creation date and time to the file name. If you prefer to format the date in a different way (like '08.11.2007 - 11.30' instead of '2007-11-08 11-30' you can change this by clicking the menu entry 'Functions'-'Options'. Here you can also select, if you want to use the date and time of last file access or the date and time of last file modification. Please note that this option does not work for folders, only for files.
  • Today's date: Adds the current date to the file name. If you prefer to format the date in a different way (like '08.11.2007' instead of '2007-11-08' you can change this by clicking the menu entry 'Functions'-'Options'.
  • Today's date and time: Adds the current date and time to the file name. If you prefer to format the date in a different way (like '08.11.2007 - 11.30' instead of '2007-11-08 11-30' you can change this by clicking the menu entry 'Functions'-'Options'.
  • Customized: Activates the edit box next to the dropdown control to let you enter anything you want here. By default, there is ' - ' which can be used as a dividing sign, but of course you can remove that and enter your own text.
  • Replace part of file name: This feature works a bit different than the others. While the other ones are some kind of contruction kit for your file name, this one exchanges single characters or expressions from the file name even after that construction. Please enter your old expression, the *'* sign and the new expression, for example if you like to replace all 'OldExpression' parts with 'NewExpression', enter 'OldExpression*NewExpression' here.
Below that you will see a preview how the file name will look with your current configuration. When you select any file in your list, the renamed version of it is shown, if no file is selected, the first one is displayed.

When everything is done to your satisfaction you can click the 'Start Renaming' button to start the batch process.


Menu

File

Open Renaming Project
Loads renaming settings from a previously saved renaming project.

Save Renaming Project
Saves your renaming settings - and settings from the options screen if you like - of the currently opened project for later use. If no project was opened before, you will see the 'Save Renaming Project As ...' dialog automatically.

Save Renaming Project
Saves your current renaming settings - and settings from the options screen if you like - to a project file for later use. Please select a path and enter a file name.

Language Selection
If you like to see the program in another language, check this feature to switch it. If your language is missing and you like to translate it, please send us an e-mail to translations@1-abc.net to get more information about it.

Exit
Select this option to leave the program.

Functions

Add File(s) / Add Folder / Remove Entry
These are the same features as they are available from the same buttons on the Main-screen.

Add All Files In Folder
Simply select a folder, then all files that are included will be added to the renaming list automatically.

Options
Opens the Options-screen.

Sort List After ...
Mayb you like to change the order of the file list before renaming which could make sense if you would like to rename files based on their file size with the smalles file first for example. Just select the data you would like to use as a reference for sorting, you can decide if this should be the file name, file date, file size, creation date, modification date or date of last file access.

Start Renaming
This is the same feature as you can get it with the 'Start Renaming' button from the main screen.

Show history file
When you activated the checkbox for writing a summary of your renaming process to the report file on the Options screen this file can be opened from here again. It is a normal *.txt file that allows you to print it, to copy the data from it or to send the report by e-mail. Please note that it only includes reports of renaming processes with this option activated.

Wipe history file
To keep everything as secure as possible you should delete this history file from time to time with this feature.

Print history file
Uses your default printer to print out your history file easily.

Register

Get free Trial Key
From the first time you installed this program it runs 10 days for free. You can extend this trial period to 30 days easily when you register for a free trial key. Make sure that you are online. The key will be sent to you by e-mail.

Buy Full Version now
Click here to purchase the product online. You will be connected to an online shop where you have multiple payment options, after your payment is done, the full version key will be sent to you immediately.

Enter Key
When you have a trial key or a full version key you can enter it here to change the behaviour of the program. You should re-start the program after entering the key.

Help

Show Help File
Brings you to this help file. Whether you clicked there to read it now or you pressed “F1” which would be the other way to get it displayed.

Go to 1-abc.net Website
Visit the webpage of 1-abc.net. You will find more information about this product and other software there. Make sure that you are online.

About
Copyright information about this product.


Options

Options Screen

Here we collected some more options that can be used from time to time. This is how the Options screen looks:

The upper part shows you different possibilities for the date and time format. 'Y' = year, 'M' = month, 'D' = day, 'H' = hour, 'M' = minute, 'S' = second. Please note that date formats that include a '.' should normally not be used because the file system interprets the sign as a dividing sign. Anyway, for most files and file operation this does not matter. A format like YYYY/DD/MM as it is often used in the United States is unfotunately not available becuase Windows itselfs understands the '/' as a subfolder symbol.

Below this, you can decide what kind of file date should be used. Windows saves 3 different time stamps per file (creation date, date of last modification and date of last access) and you can select the one you like to have for renaming.

Next to this there is a part of the screen, you can decide if numbers start with '0' with '1' or with another number defined by you when you use the enumerating feature. You can also define a step here, for example this could be '100' if you like to rename your files to file100.jpg, file200.jpg and so on.

The backup feature allows you to copy all files you like to rename first to another folder. Maybe you are not satisfied with the renaming results, then you can easily reverse the changes this way. Just activate the 2nd checkbox to use the backup function and select a backup path by using the 'Browse' button. For each renaming process, new subfolders will be created here, named with current time and date, your backup files will be copied to these sub folders. You can open this backup directories by clicking 'Open Folder'. By checking the first unrenamed files will be copied to the same folder where the renamed file is located. You can also use both backup feature at the same time if you like.

At the bottom of this screen you can decide if you want to see full paths in the file list or if you want to use the history feature or not. To find out more about the history file please take a look at the Menu chapter.

When everything is done simply click 'OK' for closing this dialog or 'Cancel' for discarding changes.


About 1-abc.net …

1-abc.net software is a young and dynamic company, founded 2005, consisting of ambitious and highly experienced developers, marketing experts, distributors, designers, translaters and product managers. The head office is located in Germany, employees and freelancers are working from offices in seven countries all over the world.

1-abc.net's business activities include software development, software distribution and IT consulting. Meanwhile more than Windows tools and utilities are available. And this is what users get:

  • Small setup files that can be downloaded even using slow internet connections
  • Easy installation processes, uninstaller is always included
  • No adware, spyware, popups or whatever extends software nowadays
  • Very easy to handle program interfaces
  • Software that really fulfils the customers’ needs – nothing more, but also nothing less
  • Fast possibility to extend the trial period by obtaining a free registration key
  • Users can also buy 1-abc.net software on CD instead of downloading
Additionally, more and more distribution companies worldwide sell 1-abc.net software as boxes or through other channels licensed under their own label. 1-abc.net Android™ apps for mobile devices, Windows Store Apps and mobile apps for Firefox OS are available from the website http://mobile.1-abc.net.

Support

1-abc.net
Grünenstr. 120
28199 Bremen

Germany

Unfortunately we currently offer NO telephone support, please take a look at this website to find out more or to contact us via e-mail:

http://1-abc.net/support.htm